# TextureRectangle.cpp File Reference

`#include <osg/GLExtensions>`
`#include <osg/TextureRectangle>`
`#include <osg/State>`
`#include <osg/GLU>`
`#include <osg/Notify>`

Include dependency graph for TextureRectangle.cpp:

## Defines

#define | GL_UNPACK_CLIENT_STORAGE_APPLE 0x85B2
#define | GL_VERTEX_ARRAY_RANGE_APPLE 0x851D
#define | GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE 0x851E
#define | GL_VERTEX_ARRAY_STORAGE_HINT_APPLE 0x851F
#define | GL_VERTEX_ARRAY_RANGE_POINTER_APPLE 0x8521
#define | GL_STORAGE_CACHED_APPLE 0x85BE
#define | GL_STORAGE_SHARED_APPLE 0x85BF

## Define Documentation

#define GL_STORAGE_CACHED_APPLE 0x85BE

#define GL_STORAGE_SHARED_APPLE 0x85BF

#define GL_UNPACK_CLIENT_STORAGE_APPLE 0x85B2

#define GL_VERTEX_ARRAY_RANGE_APPLE 0x851D

#define GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE 0x851E

#define GL_VERTEX_ARRAY_RANGE_POINTER_APPLE 0x8521

#define GL_VERTEX_ARRAY_STORAGE_HINT_APPLE 0x851F